# Uses of Interface
com.logicaldoc.core.task.TaskListener

Packages that use TaskListener
Package
Description
com.logicaldoc.core.task
API to define the basics for the scheduled tasks that are long-running operations you can schedule in several ways

## Uses of TaskListener in com.logicaldoc.core.task

Methods in com.logicaldoc.core.task with parameters of type TaskListener
Modifier and Type
Method
Description
`void`
Task.`addTaskListener(TaskListener listener)`
`void`
Task.`removeTaskListener(TaskListener listener)`